package org.texustek.mirror.aidl;
import org.texustek.mirror.aidl.IMirrorAdapterBluetoothCallback;


//适配程序蓝牙相关接口
interface IMirrorAdapterBluetoothServer {

    
    void registerCallBack(in IMirrorAdapterBluetoothCallback callback);
    void unregisterCallBack(in IMirrorAdapterBluetoothCallback callback);
    
    //上报蓝牙配对状态0为断开，1为连接上
    void reportBluetoothConnectState(int state);
    
    //上报rfcomm读到的数据
    void reportRfcommReadData(in byte[]data);
    
    //上报本地蓝牙的MAC地址
    void reportLocalBluetoothMacAddress(in byte[]address);
    
    //上报手机端蓝牙MAC地址
    void reportPhoneBluetoothMacAddress(in byte[]address,int firstTimePaired);
    
    //上报uuids列表
    void reportPairedBluetoothUuids(in List<String>uuids);
    
    //上报rfcomm连接状态，0为断开，1为连接
    void reportRfcommConnectState(int state);
    
    
    //上报车机系统倒车状态，0为非倒车，1为倒车
    void reportMpuBackCarStatus(int status);
    
    //获取SpeedPlay连接状态
    int getSpeedPlayConnectState();
    
    //对应模式是否处于连接状态
    boolean isConnected(String phoneMode);
    
    	/**
	 * 设置夜间模式
	 * @param isNightMode true是夜间模式，false为白天模式
	 */
	void setNightMode(boolean isNightMode);
	
	//发送按健事件
	void sendKeyEventRequest(int specFuncCode);
 
}
 