package org.texustek.mirror.aidl;


// 系统信息回调
interface IMirrorSdkSystemCallback {

	/**
	 * 镜像连接状态改变
	 * @param status
	 */
	void onMirrorConnectStatusChange(int status);
	
	/**
	 * 开始声音播放
	 * @param audioStreamType
	 * @param rate
	 * @param bits
	 * @param channels
	 */
	void onMirrorCoreAudioStart(int audioStreamType, int rate, int bits, int channels);
	
	/**
	 * 声音播放中
	 * @param data PCM数据流
	 */
	void onMirrorCoreAudioPlay(in byte[]data);
	
	
	/**
	 * 声音停止播放
	 * @param audioStreamType
	 */
	void onMirrorCoreAudioStop(int audioStreamType);
	
	
	/**
	 * 视频开始播放
	 * @param w 视频宽度
	 * @param h 视频高度
	 * @param x x轴偏移量
	 * @param y y轴偏移量
	 */
	void onMirrorCoreVideoStart(int w, int h, int x, int y);
	
	/**
	 * 视频H264数据开始播放
	 * @param data h264视频数据
	 * @param len 长度
	 */
	void onMirrorCoreVideoPlay(in byte[] data, int len);

	/**
	 * 视频停止播放
	 */
	void onMirrorCoreVideoStop();
	
	
		/**
	 * 麦克风录音开始
	 * @param sampleRate
	 * @param channel
	 * @param bits
	 * @param mirrorMode
	 */
	void onMirrorCoreMicrophoneStart(int sampleRate, int channel, int bits,int mirrorMode);

	/**
	 * 麦克风录音停止
	 */
	void onMirrorCoreMicrophoneStop();

	/**
	 * 麦克风录取数据
	 * @param buf
	 * @param len
	 */
	int onMirrorCoreMicrophoneStopCapture(in byte[] buf, int len);


}
